Skip to main content
`Ctrl`+`K`

# DMSwarmSetCellDMActive

Activates a cell `DM` for a `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSetCellDMActive(DM sw, const char name[])

Collective

## Input Parameters

- sw - a `DMSWARM`

- name - name of the cell `DM` to active for the `DMSWARM`

## Note

The attached `DM` (dmcell) will be queried for point location and neighbor MPI-rank information if `DMSwarmMigrate()` is called.

## See Also

`DM`, `DMSWARM`, `DMSwarmCellDM`, `DMSwarmSetType()`, `DMSwarmAddCellDM()`, `DMSwarmSetCellDM()`, `DMSwarmMigrate()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages